FontUtils

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class FontUtils

    java.lang.Object
      net.ctdp.rfdynhud.util.FontUtils

    public class FontUtils

extends java.lang.Object

Field Summary
`static java.awt.Font` | `FALLBACK_FONT`
`static java.awt.Font` | `FALLBACK_VIRTUAL_FONT`
`static char` | `SEPARATOR`

Constructor Summary
`FontUtils()`

Method Summary
`static int` | `getConcreteFontSize(int size, int gameResY)`
`static java.awt.Font` | `getFont(java.lang.String name, int style, int size, int gameResY)`
`static java.lang.String` | `getFontString(java.awt.Font font, boolean virtual, boolean antiAliased)`
`static java.lang.String` | `getFontString(java.lang.String name, boolean bold, boolean italic, int size, boolean virtual, boolean antiAliased)`
`static java.lang.String` | `getFontString(java.lang.String name, int awtFontStyle, int size, boolean virtual, boolean antiAliased)`
`static int` | `getStyle(boolean bold, boolean italic)`
`static java.lang.String` | `getStyleString(boolean bold, boolean italic)`
`static java.lang.String` | `getStyleString(int awtFontStyle)`
`static int` | `getVirtualFontSize(int size, int gameResY)`
`static void` | `loadCustomFonts(GameFileSystem fileSystem)`
`static boolean` | `parseAntiAliasFlag(java.lang.String str, boolean throwException, boolean logException)`
`static java.awt.Font` | `parseFont(java.lang.String str, int gameResY, boolean throwException, boolean logException)`
`static boolean` | `parseVirtualFlag(java.lang.String str, boolean throwException, boolean logException)`
`static java.awt.Font` | `parseVirtualFont(java.lang.String str, boolean throwException, boolean logException)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FALLBACK_FONT

    public static final java.awt.Font FALLBACK_FONT

### FALLBACK_VIRTUAL_FONT

    public static final java.awt.Font FALLBACK_VIRTUAL_FONT

### SEPARATOR

    public static final char SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### FontUtils

    public FontUtils()

Method Detail

### getStyle

    public static int getStyle(boolean bold,
                               boolean italic)

### getStyleString

    public static java.lang.String getStyleString(int awtFontStyle)

### getStyleString

    public static java.lang.String getStyleString(boolean bold,
                                                  boolean italic)

### getFontString

    public static final java.lang.String getFontString(java.awt.Font font,
                                                       boolean virtual,
                                                       boolean antiAliased)

### getFontString

    public static final java.lang.String getFontString(java.lang.String name,
                                                       int awtFontStyle,
                                                       int size,
                                                       boolean virtual,
                                                       boolean antiAliased)

### getFontString

    public static final java.lang.String getFontString(java.lang.String name,
                                                       boolean bold,
                                                       boolean italic,
                                                       int size,
                                                       boolean virtual,
                                                       boolean antiAliased)

### getVirtualFontSize

    public static int getVirtualFontSize(int size,
                                         int gameResY)

### getConcreteFontSize

    public static int getConcreteFontSize(int size,
                                          int gameResY)

### getFont

    public static java.awt.Font getFont(java.lang.String name,
                                        int style,
                                        int size,
                                        int gameResY)

### parseFont

    public static java.awt.Font parseFont(java.lang.String str,
                                          int gameResY,
                                          boolean throwException,
                                          boolean logException)

### parseVirtualFont

    public static java.awt.Font parseVirtualFont(java.lang.String str,
                                                 boolean throwException,
                                                 boolean logException)

### parseVirtualFlag

    public static boolean parseVirtualFlag(java.lang.String str,
                                           boolean throwException,
                                           boolean logException)

### parseAntiAliasFlag

    public static boolean parseAntiAliasFlag(java.lang.String str,
                                             boolean throwException,
                                             boolean logException)

### loadCustomFonts

    public static void loadCustomFonts(GameFileSystem fileSystem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD